
%define name flam3
%define version 3.0.1
%define release %mkrel 2

Name:		%{name}
Version:       	%{version}
Release:       	%{release}
Summary:        Programs to generate and render cosmic recursive fractal flames
Group:          Graphics
License:        GPLv3
URL:            http://www.flam3.com/
Source0:        http://www.flam3.com/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  %{_lib}xml2-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}jpeg-devel

%description
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets).

%package devel
Summary:        C headers to generate and render cosmic recursive fractal flames
Group:          Development/C
Requires:       pkgconfig
Requires:       %{_lib}xml2-devel
Requires:       %{_lib}png-devel
Requires:       %{_lib}jpeg-devel
Requires:       flam3 = %{version}-%{release}
Provides:       flam3-static = %{version}-%{release}

%description devel
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets). This
package contains a header file for C, a static library, and a pkgconfig file.


%prep
%setup -q
cd src
sed -i.flags -e 's|-O3 -ffast-math||' Makefile.in
chmod 644 *.c


%build
cd src
autoreconf -fis
%configure \
   --includedir=%{_includedir}/%{name}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd src
make install \
   DESTDIR=$RPM_BUILD_ROOT \
   INSTALL="install -p"

# Install missing headers
install -cpm 644 \
   isaac.h isaacs.h private.h img.h \
   $RPM_BUILD_ROOT%{_includedir}/%{name}/
rm $RPM_BUILD_ROOT%{_libdir}/libflam3.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc src/*.txt src/COPYING
%{_bindir}/flam3-animate
%{_bindir}/flam3-convert
%{_bindir}/flam3-genome
%{_bindir}/flam3-render
%{_datadir}/flam3
%{_mandir}/man1/flam3-animate.1.bz2
%{_mandir}/man1/flam3-convert.1.bz2
%{_mandir}/man1/flam3-genome.1.bz2
%{_mandir}/man1/flam3-render.1.bz2


%files devel
%defattr(-,root,root,-)
%doc src/COPYING.txt src/README.txt src/COPYING
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/flam3.pc
%{_libdir}/libflam3.a

%changelog
* Tue Sep 24 2013 billybot <billybot> 3.0.1-2pclos2013
- rebuild with new libjpeg

* Thu Jun 20 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 3.0.1-1pclos2013
- 3.0.1
- added xz compression
- renamed spec to pclos-flam3.spec
- added cd into src dir
- added autoreconf -fis to get it build
- fixed license it is now gplv3 not gplv2+

* Sat Jun 14 2009 MBantz <martin dot bantz at gmail dot com> 2.7.18-1pclos2007
- Build for PCLinuxOS from Ian Weller ianweller at gmail dot com

